/*
 *  Linux kernel adaptation layers for owl wifi library.
 *  Copyright (C) 2010 HD Wireless AB
 *
 */

#ifndef OWL_MMC_H
#define OWL_MMC_H

#include <linux/mmc/mmc.h>

int mmc_send_relative_addr(struct mmc_host *host, unsigned int *rca);
int mmc_select_card(struct mmc_card *card);
int mmc_io_rw_direct(struct mmc_card *card, int write, unsigned fn,
                     unsigned addr, u8 in, u8* out, int raw);

#endif
